<?php

try {
	/*
	* All Data
	*/

	$_mobulePrefix = 'ajaxcart';


	$_attributes 	= array();

	$_tables		= array();

	$_tablesFields = array();


	$_pathes = array(
		'/app/code/community/Plumrocket/AjaxCart',
		'/app/etc/modules/Plumrocket_AjaxCart.xml',

		'/app/design/frontend/base/default/layout/ajaxcart.xml',
		'/app/design/frontend/base/default/template/ajaxcart',
		'/app/design/frontend/fortis/default/template/ajaxcart',
		'/app/design/frontend/ultimo/default/template/ajaxcart',

        '/app/locale/en_US/Plumrocket_AjaxCart.csv',

		'/skin/frontend/base/default/css/plumrocket/ajaxcart',
		'/skin/frontend/base/default/js/plumrocket/ajaxcart',
		'/skin/frontend/base/default/images/plumrocket/ajaxcart',

		'/skin/frontend/default/default/css/plumrocket/ajaxcart',

		'/skin/frontend/enterprise/default/css/plumrocket/ajaxcart',

		'/skin/frontend/fortis/default/css/plumrocket/ajaxcart',
		'/skin/frontend/fortis/default/images/plumrocket/ajaxcart',

		'/skin/frontend/gravdept/acumen/css/plumrocket/ajaxcart',
		'/skin/frontend/gravdept/acumen/images/plumrocket/ajaxcart',

		'/skin/frontend/ultimo/default/css/plumrocket/ajaxcart',
		'/skin/frontend/ultimo/default/images/plumrocket/ajaxcart',

		'/skin/adminhtml/default/default/js/plumrocket/ajaxcart'
	);

	$_cmsBlocks = array();

	/* end data */

	require_once('./app/Mage.php');
	umask(0);
	Mage::app('default');
	$resource = Mage::getSingleton("core/resource");
	$setup = new Mage_Eav_Model_Entity_Setup('core_setup');

	//remove attribute
	foreach($_attributes as $entityTypeName => $attributeNames){
		$entityTypeId = $setup->getEntityTypeId($entityTypeName);
		foreach($attributeNames as $attributeName){
			$setup->removeAttribute($entityTypeId, $attributeName);
		}
	}

	//remove tables
	foreach($_tables as $_tableName){
		$setup->run("DROP TABLE IF EXISTS `" . $resource->getTableName($_tableName) . "`;");
	}

	//remove tables fields
	foreach($_tablesFields as $_tableName => $_fields){
		foreach($_fields as $_field){
			try{
				$setup->run("ALTER TABLE `" . $resource->getTableName($_tableName) . "` DROP `" . $_field . "`;");
			} catch (Exception $e) {
				//echo '<b>' . $e->getMessage() . '</b><br/>';
			}
		}
	}

	//remove static blocks
	foreach($_cmsBlocks as $_identifier){
		$setup->run("DELETE FROM `" . $resource->getTableName('cms_block') . "` WHERE `identifier` = '".$_identifier."';");
	}

	//remove config
	$setup->run("DELETE FROM " . $resource->getTableName('core_config_data') . " WHERE `path` LIKE  '".$_mobulePrefix."/%'");
	$setup->run("DELETE FROM " . $resource->getTableName('core_resource') . " WHERE `code` = '".$_mobulePrefix."_setup'");



	$basePath = dirname(__FILE__);
	foreach ($_pathes as $path) {
		exec('rm -rf ' . $basePath . $path);
	}

	exec('rm -rf ' . $basePath . '/var/cache');
	Mage::app()->cleanCache();
} catch (Mage_Core_Exception $e) {
	echo '<h2>' . $e->getMessage() . '</h2>';
	exit;
} catch (Exception $e) {
	echo '<h2>' . $e->getMessage() . '</h2>';
	exit;
}
echo 'Success!';
?>
